# Generated by Django 2.2.3 on 2019-09-04 14:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0011_bank_bankaccount_historicalbank_historicalbankaccount_historicalplanorder_planorder'),
    ]

    operations = [
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('paid_on', models.DateTimeField()),
                ('deposited_on', models.DateTimeField(blank=True, null=True)),
                ('amount', models.PositiveIntegerField(default=0)),
                ('manual', models.BooleanField(default=False)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'transbank'), (2, 'cash'), (3, 'cheque'), (4, 'mass transfer'), (5, 'servipag'), (6, 'BCI deposit'), (7, 'manual transfer'), (8, 'webpay'), (9, 'other'), (10, 'NO registrado en banco'), (11, 'Condonación'), (12, 'Pago Masivo BCI'), (13, 'paypal'), (14, 'multicaja'), (15, 'caja vecina')], default=4)),
                ('transfer_id', models.CharField(blank=True, max_length=255, null=True)),
                ('proof', models.ImageField(blank=True, null=True, upload_to='photos')),
                ('proof2', models.ImageField(blank=True, null=True, upload_to='photos')),
                ('proof3', models.ImageField(blank=True, null=True, upload_to='photos')),
                ('cleared', models.BooleanField(default=False)),
                ('comment', models.CharField(blank=True, max_length=255, null=True)),
                ('bank_account', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='models.BankAccount')),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='models.Customer')),
                ('operator', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='models.Operator')),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalPayment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('paid_on', models.DateTimeField()),
                ('deposited_on', models.DateTimeField(blank=True, null=True)),
                ('amount', models.PositiveIntegerField(default=0)),
                ('manual', models.BooleanField(default=False)),
                ('kind', models.PositiveSmallIntegerField(choices=[(1, 'transbank'), (2, 'cash'), (3, 'cheque'), (4, 'mass transfer'), (5, 'servipag'), (6, 'BCI deposit'), (7, 'manual transfer'), (8, 'webpay'), (9, 'other'), (10, 'NO registrado en banco'), (11, 'Condonación'), (12, 'Pago Masivo BCI'), (13, 'paypal'), (14, 'multicaja'), (15, 'caja vecina')], default=4)),
                ('transfer_id', models.CharField(blank=True, max_length=255, null=True)),
                ('proof', models.TextField(blank=True, max_length=100, null=True)),
                ('proof2', models.TextField(blank=True, max_length=100, null=True)),
                ('proof3', models.TextField(blank=True, max_length=100, null=True)),
                ('cleared', models.BooleanField(default=False)),
                ('comment', models.CharField(blank=True, max_length=255, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('bank_account', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.BankAccount')),
                ('customer', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Customer')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Operator')),
            ],
            options={
                'verbose_name': 'historical payment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
